import { Component } from 'react';
import { ITabProps, ITabNavState } from '../../types';
declare abstract class BaseTab<Id> extends Component<ITabProps<Id>, ITabNavState> {
    protected abstract typeName: string;
    get tabsCls(): string;
    get isFixed(): boolean;
    onDel: (e: React.MouseEvent<HTMLSpanElement, MouseEvent>) => void;
    onClick: () => void;
    onClickFixed: (e: React.MouseEvent<HTMLSpanElement, MouseEvent>) => void;
    renderDelOperater(): JSX.Element;
}
export default BaseTab;
